> ## Documentation Index
> Fetch the complete documentation index at: https://docs.benzinga.com/llms.txt
> Use this file to discover all available pages before exploring further.

# هيئة الغذاء والدواء (FDA)

<ResponseExample>
  ```json استجابة (200 OK) theme={null}
  {
    "fda": [
      {
        "commentary": "",
        "companies": [
          {
            "cik": "",
            "id": "62b3773a118ebc0001427b67",
            "name": "Alpha Tau Medical Ltd.",
            "securities": [
              {
                "exchange": "NASDAQ",
                "symbol": "DRTS"
              }
            ]
          }
        ],
        "created": 1767621777,
        "date": "2026-01-05",
        "drug": {
          "generic": false,
          "id": "62b3771c9c3cd100011418ce",
          "indication_symptom": [
            "سرطان البروستاتا"
          ],
          "name": "Alpha DaRT"
        },
        "event_type": "Provided Update",
        "id": "695bc49183cac20001bec514",
        "nic_number": "",
        "notes": "",
        "outcome": "أعلنت شركة Alpha Tau Medical Ltd. عن تقديم الوحدة الأولى من طلب موافقتها قبل التسويق (PMA) إلى إدارة الغذاء والدواء الأميركية (FDA)، وذلك عقب قرار إدارة الغذاء والدواء (FDA) السابق بالسماح للشركة باستخدام النهج المعياري الأكثر مرونة.",
        "outcome_brief": "",
        "source_link": "https://www.benzinga.com/pressreleases/26/01/g49690927/alpha-tau-submits-first-pre-market-approval-module-to-the-fda-for-alpha-dart-for-the-treatment-of-",
        "source_type": "Press Release",
        "status": "",
        "target_date": "",
        "time": "09:00:00",
        "updated": 1767621823
      }
    ]
  }
  ```

  ```json استجابة (401 غير مصرح به) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "auth_failed",
        "id": "unauthorized",
        "value": "رمز وصول غير صالح أو مفقود"
      }
    ]
  }
  ```

  ```json استجابة (404 غير موجود) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "no_data_found",
        "id": "not_found",
        "value": "لم يتم العثور على بيانات للمعلمات المحددة"
      }
    ]
  }
  ```

  ```json استجابة (500 خطأ خادم داخلي) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "internal_server_error",
        "id": "server_error",
        "value": "حدث خطأ غير متوقع أثناء معالجة طلبك"
      }
    ]
  }
  ```
</ResponseExample>


## OpenAPI

````yaml ar/openapi/calendar-api.spec.yml GET /api/v2.1/calendar/fda
openapi: 3.0.0
info:
  contact: {}
  description: >-
    تُعيد واجهة برمجة تطبيقات REST هذه بيانات مُنظَّمة لمكالمات المؤتمرات
    الهاتفية (conference calls)، وتوزيعات الأرباح (dividends)، والأرباح (بما في
    ذلك تواريخ الأرباح المستقبلية)، والبيانات الاقتصادية، وإعلانات شركات
    الأدوية، والتوجيّهات المستقبلية للشركات (guidance)، والاكتتابات العامة
    الأولية (IPOs)، والعروض الثانوية، والتقييمات (ratings)، وأنشطة الاندماجات
    والاستحواذات (M&A)، وتجزيئة الأسهم (splits).
  termsOfService: http://swagger.io/terms/
  title: Calendar API
  version: 2.1.0
servers:
  - url: https://api.benzinga.com
    description: PROD
security: []
paths:
  /api/v2.1/calendar/fda:
    get:
      tags:
        - fda
      summary: موافقات إدارة الغذاء والدواء (FDA)، التجارب السريرية، وتواريخ PDUFA
      description: >-
        يوفر بيانات عن موافقات هيئة الغذاء والدواء الأمريكية (FDA)، والتجارب
        السريرية، وتواريخ PDUFA ‏(قانون رسوم مستخدمي الأدوية الموصوفة) لشركات
        الأدوية وشركات التكنولوجيا الحيوية. يتضمن معلومات حول مراحل تطوير
        الأدوية، ونتائج التجارب، وقرارات الموافقة، والمعالم التنظيمية الرئيسية.
      operationId: get-fda
      parameters:
        - description: >-
            يُحدِّد تنسيق الإرجاع. تعمل معاملات الاستعلام بالطريقة نفسها في كلا
            التنسيقين
          in: header
          name: accept
          required: true
          schema:
            type: string
            enum:
              - application/json
            default: application/json
        - description: >-
            إزاحة الصفحة. لأسباب تتعلق بالتحسين والأداء والاعتبارات التقنية،
            تقتصر إزاحات الصفحات على النطاق من 0 إلى 100000. قلِّص نتائج
            الاستعلام باستخدام معلمات أخرى مثل التاريخ.
          in: query
          name: page
          schema:
            type: integer
            default: 0
        - description: عدد النتائج المُرجعة. الحد الأقصى 1000
          in: query
          name: pagesize
          schema:
            type: integer
        - description: >-
            التاريخ المطلوب للاستعلام عن بيانات calendar. يُعد اختصارًا لاستخدام
            date_from و date_to عندما يكونان متطابقين. القيمة الافتراضية هي
            الأحدث.
          in: query
          name: parameters[date]
          schema:
            type: string
            format: YYYY-MM-DD
        - description: تاريخ بدء الاستعلام من نقطة زمنية معينة
          in: query
          name: parameters[date_from]
          schema:
            type: string
            format: YYYY-MM-DD
        - description: تاريخ الاستعلام إلى نقطة زمنية معينة
          in: query
          name: parameters[date_to]
          schema:
            type: string
            format: YYYY-MM-DD
        - description: >-
            التاريخ المستخدم لتصفية calendar وفرزها. القيمة الافتراضية هي
            `announced`
          in: query
          name: parameters[date_search_field]
          schema:
            type: string
            enum:
              - announced
              - target
            default: announced
        - description: >-
            بعض حقول التواريخ (مثل التاريخ المستهدف في تقويم FDA) تتضمّن تواريخ
            تقريبية مثل 2021-Q1. عند التصفية، يمكنك اختيار السماح بمطابقة
            التواريخ التقريبية، أو مطابقة صارمة للتواريخ تبحث فقط عن التواريخ
            ذات التطابق التام ضمن الفترة الزمنية المحددة. القيمة الافتراضية
            `TRUE`
          in: query
          name: parameters[date_search_strict]
          schema:
            type: boolean
            default: true
        - description: >-
            معرّف ورقة مالية واحد أو أكثر، مفصولة بفواصل. الحد الأقصى 50 ورقة
            مالية. يجب أن تكون معرّفات الأوراق المالية بصيغة رموز التداول،
            وللأسهم المدرجة في البورصات الأمريكية فقط
          in: query
          name: parameters[securities]
          schema:
            type: string
            format: csv
        - description: >-
            الطابع الزمني يونكس (UTC) لآخر مرة تم فيها تحديث السجلات. يؤدي ذلك
            إلى فرض ترتيب الفرز ليكون أكبر من أو يساوي الطابع الزمني المحدَّد
          in: query
          name: parameters[updated]
          schema:
            type: integer
      responses:
        '200':
          description: نجاح
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.FDAResponse'
            text/xml:
              schema:
                $ref: '#/components/schemas/api.FDAResponse'
        '400':
          description: طلب غير صحيح
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
            text/xml:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
        '500':
          description: خطأ داخلي في الخادم
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
            text/xml:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    api.FDAResponse:
      description: >-
        استجابة من واجهة برمجة التطبيقات API تتضمن مصفوفة من سجلات أحداث إدارة
        الغذاء والدواء (FDA)
      properties:
        fda:
          items:
            $ref: '#/components/schemas/calendarapi.FDA'
          type: array
      type: object
    api.ErrorResponse:
      properties:
        text:
          type: string
      type: object
    calendarapi.FDA:
      properties:
        commentary:
          example: Approval was expected based on positive Phase 3 results
          type: string
        companies:
          items:
            $ref: '#/components/schemas/calendarapi.Company'
          type: array
        created:
          example: 1704819000
          type: integer
        date:
          example: '2024-01-09T00:00:00.000Z'
          type: string
        drug:
          $ref: '#/components/schemas/calendarapi.Drug'
        event_type:
          example: PDUFA
          type: string
        id:
          example: 60a7f5e8e4b0f5a3c8e9f5bd
          type: string
        nic_number:
          example: '022527'
          type: string
        notes:
          example: Breakthrough therapy designation
          type: string
        outcome:
          example: FDA approved the drug for treatment of condition X
          type: string
        outcome_brief:
          example: Approved
          type: string
        source_link:
          example: https://www.fda.gov/drugs/news-events
          type: string
        source_type:
          example: FDA
          type: string
        status:
          example: Pending
          type: string
        target_date:
          example: '2024-03-15T00:00:00.000Z'
          type: string
        time:
          example: '00:00:00'
          type: string
        updated:
          example: 1704819600
          type: integer
      type: object
    calendarapi.Company:
      properties:
        cik:
          example: '1682852'
          type: string
        id:
          example: 60a7f5e8e4b0f5a3c8e9f5be
          type: string
        name:
          example: Moderna Inc.
          type: string
        securities:
          items:
            $ref: '#/components/schemas/calendarapi.Security'
          type: array
      type: object
    calendarapi.Drug:
      properties:
        generic:
          example: false
          type: boolean
        id:
          example: 60a7f5e8e4b0f5a3c8e9f5bf
          type: string
        indication_symptom:
          example:
            - '["COVID-19"]'
          items:
            type: string
          type: array
        name:
          example: Spikevax
          type: string
      type: object
    calendarapi.Security:
      properties:
        exchange:
          example: NASDAQ
          type: string
        symbol:
          example: MRNA
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: query
      name: token
      type: apiKey

````